package com.ruoyi.manage.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 巡检历史图片对象 record_inspection_img
 * 
 * @author wangh
 * @date 2024-09-27
 */
public class RecordInspectionImg extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 巡检id */
    @Excel(name = "巡检id")
    private Long inspectionId;

    /** 任务表id */
    @Excel(name = "任务表id")
    private Long taskId;

    /** 路径 */
    @Excel(name = "路径")
    private String imgPath;

    public void setInspectionId(Long inspectionId) 
    {
        this.inspectionId = inspectionId;
    }

    public Long getInspectionId() 
    {
        return inspectionId;
    }
    public void setTaskId(Long taskId) 
    {
        this.taskId = taskId;
    }

    public Long getTaskId() 
    {
        return taskId;
    }
    public void setImgPath(String imgPath) 
    {
        this.imgPath = imgPath;
    }

    public String getImgPath() 
    {
        return imgPath;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("inspectionId", getInspectionId())
            .append("taskId", getTaskId())
            .append("imgPath", getImgPath())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .toString();
    }
}
